shop_discount:
   tableName: shop_discount
   tableType:
     engine: innoDB
     charset: utf8
   actAs: [Timestampable]
   columns:
     id:
       type: integer
       unsigned: true
       notnull: true
       primary: true
       sequence: shop_discount_id
     id_price:
       type: integer
       unsigned: true
       index: true
     id_group:
       type: integer
       unsigned: true
       index: true
     type:
       type: enum
       values: ['g','p','o','m']
       notnull: true
       default: m
     if_date1:
       type: enum
       values: ['','>=','<=','==','<>']
     date1:
       type: datetime
     time1:
       type: time
     if_date2:
       type: enum
       values: ['','>=','<=','==','<>']
     date2:
       type: datetime
     time2:
       type: time
     if_summ1:
       type: enum
       values: ['','>=','<=','==','<>']
     summ1:
       type: float(10,2)
     if_summ2:
       type: enum
       values: ['','>=','<=','==','<>']
     summ2:
       type: float(10,2)
     if_count1:
       type: enum
       values: ['','>=','<=','==','<>']
     count1:
       type: integer
       unsigned: true
       default: 1
     if_count2:
       type: enum
       values: ['','>=','<=','==','<>']
     count2:
       type: integer
       unsigned: true
       default: 1
     percent:
       type: float(6,3)
     week:
       type: char(7)
     rules:
       type: text
     commentary:
       type: string(150)
     summ_type:
       type: integer
       unsigned: true
   relations:
     shop_group:
       local: id_group
       foreign: id
       onDelete: CASCADE
       onUpdate: CASCADE
     shop_price:
       local: id_price
       foreign: id
       onDelete: CASCADE
       onUpdate: CASCADE
